# frozen_string_literal: true

module Codebreaker
  class Player
    include Validation
    attr_reader :errors
    attr_accessor :name

    def valid?
      validate
      errors.empty?
    end

    private

    def validate
      @errors = []

      errors << I18n.t('errors.blank') if name.empty?
      errors << I18n.t('errors.size') unless size_correct?(name)
    end
  end
end
